
rule OITC_pdf_with_emb_docm
{
    meta:
        description = "Find pdf files that have an embedded docm with openaction"
        author = "Brian Carter"
        last_modified = "May 11, 2017"

    strings:
        $magic = { 25 50 44 46 2d }

        $txt1 = "EmbeddedFile"
        $txt2 = "docm)"
        $txt3 = "JavaScript" nocase

    condition:
        $magic at 0 and all of ($txt*)

}

/*

FBI Alert: E-000072-MW
Russian APT29/Cozy Bear/*Duke

*/
rule INDICATOR_IMPLANT_Loader
{
strings:
$STR1 = {F7 C1 00 00 00 04 BA 00 02 00 00 0F 45 C2 F7 C1 00 00 00 20}
condition:
(uint16(0) == 0x5A4D) and all of them
}

rule INDICATOR_Implant_Loader2
{
strings:
$STR1 = "%ws_out%ws" wide
condition:
(uint16(0) == 0x5A4D) and $STR1
}

rule IMPLANT2_3
{
strings:
$STR1 = "miniDionis"
$STR2 = "get_BotID"
$STR3 = "TrExtractKey"
$STR4 = "File {0} has been uploaded in {1}" wide
$STR5 = "Process (pid:{1}) {0} has been started" wide
condition:
(uint16(0) == 0x5A4D) and any of them
}




/*
  Description: None
  Priority: 5
  Scope: Against Email
  Tags: None
  Created in PhishMe's Triage on September 14, 2015 2:33 PM
*/

rule CryptoWall_Resume_phish
{
  strings:
    $hello2="my name is " nocase
    $file1="resume attached" nocase
    $file2="my resume is pdf file" nocase
    $file3="attached is my resume" nocase
    $sal1="I would appreciate your " nocase
    $sal2="I am looking forward to hearing from you" nocase
    $sal3="I look forward to your reply" nocase
    $sal4="Please message me back" nocase
    $sal5="our early reply will be appreciated" nocase
    $file4="attach is my resume" nocase
    $file5="PDF file is my resume" nocase
    $sal6="Looking forward to see your response" nocase

  condition:
    1 of ($hello*) and 1 of ($file*) and 1 of ($sal*)
}

/*
  Description: None
  Priority: 5
  Scope: Against Attachment
  Tags: None
  Created in PhishMe's Triage on September 14, 2015 2:35 PM
*/
/*
rule docx_macro
{
  strings:
    $header="PK" 
    $vbaStrings="word/vbaProject.bin" nocase

  condition:
    $header at 0 and $vbaStrings
}
*/
rule java_JSocket_20151217
{
    meta:
            author = "CERT Au"
        date = "2015/12"
            maltype = "Remote Access Trojan"
            filetype = "jar"

    strings:
        $PK = "PK"
        $MF = "META-INF/MANIFEST.MF"

        // JSocket (customized variants with Main.class and .dat file - spans October to December 2015)
        $a1 = "Main.class"
        $a2 = ".dat"
        $a3 = "b/a/"
        $a4 = "c/a/a/"

    condition:
            $PK at 0 and $MF 
        and all of ($a*)
}

rule detect_powershell_precursor_downloader
{
	meta:
		author		= "@dfirence"
		tlp			= "TLP:GREEN"
		kudos		= "https://myonlinesecurity.co.uk/new-powershell-ransomware-coming-in-malspam-emails-pretending-to-be-email-bounce-messages/"
		description	= "detect key powershell functions for the downloader"
		
	strings:
		$dotnet_1	= "Security.CryPtography.RFc2898DeriveBytes" nocase
		$dotnet_2	= "Security.Cryptography.CryptoStream" nocase
		$dotnet_3	= "System.IO.BinaryWriter" nocase
		$dotnet_4	= "System.SecuRity.Cryptography.RijndaelMaNaged" nocase
		$dotnet_5	= "IO.MemoryStream" nocase
		
		$meth_1		= "sEtRequestHeader" nocase
		$meth_2		= "open(" nocase
		$meth_3		= "Directory.ToString()" nocase
		$meth_4		= "Your Personal identification ID" nocase
		
		
	condition:
		3 of ($meth_*) and 3 of ($dotnet_*)
}

rule kmon_cred_phish{
strings:
	$magic="%PDF"
	$auth="/Author(K-MONTAGE)"
	$uri="Action/S/URI/URI(" 
condition:
	$magic at 0 and $auth and $uri
}

rule rtf_phishing_script_lines
{
strings:
$a = {7B 5C 72 74 66 31}
$b = "schtasks /create"
$c = "Select * from Win32_Process"
$d = "String.fromCharCode((parseInt"
$e = "if (arguments.length)" condition:
($a at 0) and (($b and $c) or ($d and $e)) }
